#include <bits/stdc++.h>

using namespace std;

char A[15][15];

bool prazno = true;

int main()
{
	int n, m;
	
	scanf("%d%d\n", &n, &m);
	
	for(int i = 0; i < n; i++)
		{
			for(int j = 0; j < m; j++)
			{
				scanf("%c", &A[i][j]);
				if(A[i][j] != '.') prazno = false;
			}
			
			scanf("\n");
		}
		
	if(prazno && m == n) 
	{
		for(int i = 0; i < n; i++)
		{
			for(int j = 0; j < m; j++)
			{
				if(i == j) printf("C");
				else printf(".");
			}
			
			printf("\n");
		}
	}
	else printf("-1");
			
	return 0;
}